<html xmlns:th="http://www.thymeleaf.org">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
<link rel="stylesheet" href="css/tienda.css">
<title>Tienda OnLine</title>
</head>
<body>
	<div class="container">
		<h2>Agregar Articulo</h2>
		<span th:text="${mensaje}" th:if="${mensaje != null}"></span>
		<a th:href="@{/}">Volver Lista Articulos</a> 
		<form action="#" th:action="@{/guardar}" th:object="${articulo}" method="post">
			<input type="hidden" th:field="*{id}">
			<div class="form-group">
				<label for="nombre">Nombre</label>
				<input type="text" class="form-control" id="nombre" th:field="*{nombre}">
			</div>
			<div class="form-group">
				<label for="descripcion">Descripcion</label>
				<input type="text" class="form-control" id="descripcion" th:field="*{descripcion}">
			</div>
			<div class="form-group">
				<label for="imagenUrl">Path Imagen</label>
				<input type="text" class="form-control" id="imagenUrl" th:field="*{imagenUrl}">
			</div>
			<div class="form-group">
				<label for="pais">Pais:</label>
				<select  class="form-control" th:field="${articulo.pais}">
					<option th:each="pais : ${paises}" th:text="${pais.nombre}" th:value="${pais.id}"/>
				</select>
			</div>
			<button type="submit" class="btn btn-primary"> Guardar</button>
		</form>
	</div>
</body>
